<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PackageList StructType
 * @subpackage Structs
 */
class PackageList extends AbstractStructBase
{
    /**
     * The PackageListRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageListRQ
     */
    public $PackageListRQ;
    /**
     * Constructor method for PackageList
     * @uses PackageList::setPackageListRQ()
     * @param \StructType\JP_PackageListRQ $packageListRQ
     */
    public function __construct(\StructType\JP_PackageListRQ $packageListRQ = null)
    {
        $this
            ->setPackageListRQ($packageListRQ);
    }
    /**
     * Get PackageListRQ value
     * @return \StructType\JP_PackageListRQ|null
     */
    public function getPackageListRQ()
    {
        return $this->PackageListRQ;
    }
    /**
     * Set PackageListRQ value
     * @param \StructType\JP_PackageListRQ $packageListRQ
     * @return \StructType\PackageList
     */
    public function setPackageListRQ(\StructType\JP_PackageListRQ $packageListRQ = null)
    {
        $this->PackageListRQ = $packageListRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PackageList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
